# FreeTube
FreeTube is an open source desktop YouTube player built with privacy in mind.
Use YouTube without advertisments and Google tracking you using cookies and JavaScript.
Available for Windows, Mac & Linux thanks to Electron.

Please note that FreeTube is currently in Beta. While it should work well for
most users, there are still bugs and missing features that need to be
addressed.

[Download](https://github.com/FreeTubeApp/FreeTube/releases)

## How does it work?
FreeTube uses the proprietary [YouTube HTTP
API](https://developers.google.com/youtube/v3/getting-started) with a set of
hard coded API keys.  Videos are resolved using
[youtube-dl](https://rg3.github.io/youtube-dl/)
 and played using the stock HTML5 video
player.  While YouTube can still see your API and video requests it can no
longer track you using cookies or JavaScript. Your subscriptions, history, and
saved videos are stored locally on your computer and never sent out.

## Screenshots
<img src="https://freetubeapp.github.io/images/FreeTube1.png" width=200> <img src="https://freetubeapp.github.io/images/FreeTube2.png" width=200> <img src="https://freetubeapp.github.io/images/FreeTube3.png" width=200> <img src="https://freetubeapp.github.io/images/FreeTube5.png" width=200>

## Features
* Watch videos without ads
* Use YouTube without Google tracking you using cookies and JavaScript
* Subscribe to channels without an account
* Local subscriptions, history, and saved videos
* Export & import subscriptions
* Mini Player
* Light / dark theme

## Contributing
If you have an idea or if you found a bug, please submit a GitHub issue so that
we can track it.  Please search the existing issues before submitting to
prevent duplicates.

If you like to get your hands dirty and want to contribute, we would love to
have your help.  Send a pull request and someone will review your code. Please
follow the [Contribution
Guidelines](https://github.com/FreeTubeApp/FreeTube/blob/master/CONTRIBUTING.md)
before sending your pull request.

## License
[![GNU GPLv3 Image](https://www.gnu.org/graphics/gplv3-127x51.png)](http://www.gnu.org/licenses/gpl-3.0.en.html)  

FreeTube is Free Software: You can use, study share and improve it at your
will. Specifically you can redistribute and/or modify it under the terms of the
[GNU General Public License](https://www.gnu.org/licenses/gpl.html) as
published by the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.  
